JUCE: MarkerList::Marker Class Reference

JUCE

Public Member Functions | Public Attributes | List of all members
MarkerList::Marker Class Reference
juce_gui_basics » positioning

Represents a marker in a MarkerList. More...

`#include <juce_MarkerList.h>`

## Public Member Functions
| Marker (const Marker &)
| Creates a copy of another Marker. More...
| Marker (const String &name, const RelativeCoordinate &position)
| Creates a Marker with a given name and position. More...
bool | operator== (const Marker &) const noexcept
| Returns true if both the names and positions of these two markers match. More...
bool | operator!= (const Marker &) const noexcept
| Returns true if either the name or position of these two markers differ. More...

## Public Attributes
String | name
| The marker's name. More...
RelativeCoordinate | position
| The marker's position. More...

## Detailed Description

Represents a marker in a MarkerList.

## Constructor & Destructor Documentation

## ◆ Marker() [1/2]

MarkerList::Marker::Marker | ( | const Marker & |  | ) |

Creates a copy of another Marker.

## ◆ Marker() [2/2]

MarkerList::Marker::Marker | ( | const String & | name,
|  | const RelativeCoordinate & | position
| ) |  |

Creates a Marker with a given name and position.

## Member Function Documentation

## ◆ operator==()

bool MarkerList::Marker::operator== | ( | const Marker & |  | ) | const
| noexcept

Returns true if both the names and positions of these two markers match.

## ◆ operator!=()

bool MarkerList::Marker::operator!= | ( | const Marker & |  | ) | const
| noexcept

Returns true if either the name or position of these two markers differ.

## Member Data Documentation

## ◆ name

String MarkerList::Marker::name

The marker's name.

## ◆ position

RelativeCoordinate MarkerList::Marker::position

The marker's position.

The expression used to define the coordinate may use the names of other markers, so that markers can be linked in arbitrary ways, but be careful not to create recursive loops of markers whose positions are based on each other! It can also refer to "parent.right" and "parent.bottom" so that you can set markers which are relative to the size of the component that contains them.

To resolve the coordinate, you can use the MarkerList::getMarkerPosition() method.

The documentation for this class was generated from the following file:

- juce_MarkerList.h